#include <bits/stdc++.h>

using namespace std;

vector<double> a, p;

int main()
{
    int n;

    cin >> n;

    for(int i = 0; i < n; i++)
    {
        double x, y;
        cin >> x >> y;
        a.push_back(x);
        p.push_back(y);
    }

    double maxpare = 0;

    for(int i = 0; i < n; i++)
    {
        double procenat = p[i];
        double currpare = 0;
        for(int j = 0; j < n; j++)
        {
            if(procenat <= p[j])
            {
                currpare += procenat * a[j] / 100.0;
            }
        }
        maxpare = max(maxpare, currpare);
    }

    cout << fixed << setprecision(4) << maxpare;

    return 0;
}